petsc-3.13.6 2020-09-29
Report Typos and Errors

# TSForwardReset

Reset the internal data structures used by forward sensitivity analysis

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSForwardReset(TS ts)

Collective on TS

### Input Parameter

ts -the TS context obtained from TSCreate()

### See Also

TSCreate(), TSDestroy(), TSForwardSetUp()

### Level

advanced

### Location

src/ts/interface/sensitivity/tssen.c

### Implementations

TSForwardReset_RK in src/ts/impls/explicit/rk/rk.c
TSForwardReset_Theta in src/ts/impls/implicit/theta/theta.c
Index of all Sensitivity routines
Table of Contents for all manual pages
Index of all manual pages